dpkg (1.18.25) stretch; urgency=medium
[dpkg] / utils / Makefile.in
CommitLineData
1479465f
GJ
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# Variables to be defined:
18#
19# TEST_VERBOSE - set to 0 (default) or 1 to control test suite verbosity
20# TEST_PARALLEL - set to 1 (default) or N to control the parallel jobs
21# TEST_ENV_VARS - environment variables to be set for the test suite
22# TEST_COVERAGE - set to the perl module in charge of getting test coverage
23# test_tmpdir - test suite temporary directory
24# test_scripts - list of test case scripts
25# test_programs - list of test case programs
26# test_data - list of test data files
27
28VPATH = @srcdir@
29am__is_gnu_make = { \
30 if test -z '$(MAKELEVEL)'; then \
31 false; \
32 elif test -n '$(MAKE_HOST)'; then \
33 true; \
34 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
35 true; \
36 else \
37 false; \
38 fi; \
39}
40am__make_running_with_option = \
41 case $${target_option-} in \
42 ?) ;; \
43 *) echo "am__make_running_with_option: internal error: invalid" \
44 "target option '$${target_option-}' specified" >&2; \
45 exit 1;; \
46 esac; \
47 has_opt=no; \
48 sane_makeflags=$$MAKEFLAGS; \
49 if $(am__is_gnu_make); then \
50 sane_makeflags=$$MFLAGS; \
51 else \
52 case $$MAKEFLAGS in \
53 *\\[\ \ ]*) \
54 bs=\\; \
55 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
56 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
57 esac; \
58 fi; \
59 skip_next=no; \
60 strip_trailopt () \
61 { \
62 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
63 }; \
64 for flg in $$sane_makeflags; do \
65 test $$skip_next = yes && { skip_next=no; continue; }; \
66 case $$flg in \
67 *=*|--*) continue;; \
68 -*I) strip_trailopt 'I'; skip_next=yes;; \
69 -*I?*) strip_trailopt 'I';; \
70 -*O) strip_trailopt 'O'; skip_next=yes;; \
71 -*O?*) strip_trailopt 'O';; \
72 -*l) strip_trailopt 'l'; skip_next=yes;; \
73 -*l?*) strip_trailopt 'l';; \
74 -[dEDm]) skip_next=yes;; \
75 -[JT]) skip_next=yes;; \
76 esac; \
77 case $$flg in \
78 *$$target_option*) has_opt=yes; break;; \
79 esac; \
80 done; \
81 test $$has_opt = yes
82am__make_dryrun = (target_option=n; $(am__make_running_with_option))
83am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
84pkgdatadir = $(datadir)/@PACKAGE@
85pkgincludedir = $(includedir)/@PACKAGE@
86pkglibdir = $(libdir)/@PACKAGE@
87pkglibexecdir = $(libexecdir)/@PACKAGE@
88am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
89install_sh_DATA = $(install_sh) -c -m 644
90install_sh_PROGRAM = $(install_sh) -c
91install_sh_SCRIPT = $(install_sh) -c
92INSTALL_HEADER = $(INSTALL_DATA)
93transform = $(program_transform_name)
94NORMAL_INSTALL = :
95PRE_INSTALL = :
96POST_INSTALL = :
97NORMAL_UNINSTALL = :
98PRE_UNINSTALL = :
99POST_UNINSTALL = :
100build_triplet = @build@
101host_triplet = @host@
102bin_PROGRAMS = $(am__EXEEXT_1)
103@BUILD_UPDATE_ALTERNATIVES_TRUE@am__append_1 = update-alternatives
104sbin_PROGRAMS = $(am__EXEEXT_2)
105@BUILD_START_STOP_DAEMON_TRUE@am__append_2 = start-stop-daemon
106subdir = utils
107ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
108am__aclocal_m4_deps = $(top_srcdir)/m4/dpkg-arch.m4 \
109 $(top_srcdir)/m4/dpkg-build.m4 \
110 $(top_srcdir)/m4/dpkg-compiler.m4 \
111 $(top_srcdir)/m4/dpkg-coverage.m4 \
112 $(top_srcdir)/m4/dpkg-funcs.m4 $(top_srcdir)/m4/dpkg-libs.m4 \
113 $(top_srcdir)/m4/dpkg-linker.m4 $(top_srcdir)/m4/dpkg-progs.m4 \
114 $(top_srcdir)/m4/dpkg-types.m4 \
115 $(top_srcdir)/m4/dpkg-unicode.m4 $(top_srcdir)/m4/gettext.m4 \
116 $(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
117 $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
118 $(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
119 $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
120 $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
121 $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
122 $(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
123am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
124 $(ACLOCAL_M4)
125DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
126mkinstalldirs = $(install_sh) -d
127CONFIG_HEADER = $(top_builddir)/config.h
128CONFIG_CLEAN_FILES =
129CONFIG_CLEAN_VPATH_FILES =
130@BUILD_UPDATE_ALTERNATIVES_TRUE@am__EXEEXT_1 = \
131@BUILD_UPDATE_ALTERNATIVES_TRUE@ update-alternatives$(EXEEXT)
132am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(sbindir)"
133@BUILD_START_STOP_DAEMON_TRUE@am__EXEEXT_2 = \
134@BUILD_START_STOP_DAEMON_TRUE@ start-stop-daemon$(EXEEXT)
135PROGRAMS = $(bin_PROGRAMS) $(sbin_PROGRAMS)
136am__start_stop_daemon_SOURCES_DIST = start-stop-daemon.c
137@BUILD_START_STOP_DAEMON_TRUE@am_start_stop_daemon_OBJECTS = \
138@BUILD_START_STOP_DAEMON_TRUE@ start-stop-daemon.$(OBJEXT)
139start_stop_daemon_OBJECTS = $(am_start_stop_daemon_OBJECTS)
140am__DEPENDENCIES_1 =
141@BUILD_START_STOP_DAEMON_TRUE@start_stop_daemon_DEPENDENCIES = \
142@BUILD_START_STOP_DAEMON_TRUE@ ../lib/compat/libcompat.la \
143@BUILD_START_STOP_DAEMON_TRUE@ $(am__DEPENDENCIES_1) \
144@BUILD_START_STOP_DAEMON_TRUE@ $(am__DEPENDENCIES_1)
145AM_V_lt = $(am__v_lt_@AM_V@)
146am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
147am__v_lt_0 = --silent
148am__v_lt_1 =
149am_update_alternatives_OBJECTS = \
150 update_alternatives-update-alternatives.$(OBJEXT)
151update_alternatives_OBJECTS = $(am_update_alternatives_OBJECTS)
152update_alternatives_DEPENDENCIES = ../lib/compat/libcompat.la \
153 $(am__DEPENDENCIES_1)
154AM_V_P = $(am__v_P_@AM_V@)
155am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
156am__v_P_0 = false
157am__v_P_1 = :
158AM_V_GEN = $(am__v_GEN_@AM_V@)
159am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
160am__v_GEN_0 = @echo " GEN " $@;
161am__v_GEN_1 =
162AM_V_at = $(am__v_at_@AM_V@)
163am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
164am__v_at_0 = @
165am__v_at_1 =
166DEFAULT_INCLUDES =
167depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
168am__depfiles_maybe = depfiles
169am__mv = mv -f
170COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
171 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
172LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
173 $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
174 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
175 $(AM_CFLAGS) $(CFLAGS)
176AM_V_CC = $(am__v_CC_@AM_V@)
177am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
178am__v_CC_0 = @echo " CC " $@;
179am__v_CC_1 =
180CCLD = $(CC)
181LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
182 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
183 $(AM_LDFLAGS) $(LDFLAGS) -o $@
184AM_V_CCLD = $(am__v_CCLD_@AM_V@)
185am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
186am__v_CCLD_0 = @echo " CCLD " $@;
187am__v_CCLD_1 =
188SOURCES = $(start_stop_daemon_SOURCES) $(update_alternatives_SOURCES)
189DIST_SOURCES = $(am__start_stop_daemon_SOURCES_DIST) \
190 $(update_alternatives_SOURCES)
191am__can_run_installinfo = \
192 case $$AM_UPDATE_INFO_DIR in \
193 n|no|NO) false;; \
194 *) (install-info --version) >/dev/null 2>&1;; \
195 esac
196am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
197# Read a list of newline-separated strings from the standard input,
198# and print each of them once, without duplicates. Input order is
199# *not* preserved.
200am__uniquify_input = $(AWK) '\
201 BEGIN { nonempty = 0; } \
202 { items[$$0] = 1; nonempty = 1; } \
203 END { if (nonempty) { for (i in items) print i; }; } \
204'
205# Make sure the list of sources is unique. This is necessary because,
206# e.g., the same source file might be shared among _SOURCES variables
207# for different programs/libraries.
208am__define_uniq_tagged_files = \
209 list='$(am__tagged_files)'; \
210 unique=`for i in $$list; do \
211 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
212 done | $(am__uniquify_input)`
213ETAGS = etags
214CTAGS = ctags
215am__DIST_COMMON = $(srcdir)/Makefile.in \
216 $(top_srcdir)/build-aux/depcomp $(top_srcdir)/check.am
217DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
218ACLOCAL = @ACLOCAL@
219AMTAR = @AMTAR@
220AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
221AR = @AR@
222AUTOCONF = @AUTOCONF@
223AUTOHEADER = @AUTOHEADER@
224AUTOM4TE = @AUTOM4TE@
225AUTOMAKE = @AUTOMAKE@
226AWK = @AWK@
227BUILD_DEVEL_DOCS = @BUILD_DEVEL_DOCS@
228BZ2_LIBS = @BZ2_LIBS@
229CC = @CC@
230CCDEPMODE = @CCDEPMODE@
231CFLAGS = @CFLAGS@
232CPP = @CPP@
233CPPFLAGS = @CPPFLAGS@
234CURSES_LIBS = @CURSES_LIBS@
235CXX = @CXX@
236CXXCPP = @CXXCPP@
237CXXDEPMODE = @CXXDEPMODE@
238CXXFLAGS = @CXXFLAGS@
239CYGPATH_W = @CYGPATH_W@
240DEFS = @DEFS@
241DEPDIR = @DEPDIR@
242DLLTOOL = @DLLTOOL@
243DOXYGEN = @DOXYGEN@
244DSYMUTIL = @DSYMUTIL@
245DUMPBIN = @DUMPBIN@
246ECHO_C = @ECHO_C@
247ECHO_N = @ECHO_N@
248ECHO_T = @ECHO_T@
249EGREP = @EGREP@
250EXEEXT = @EXEEXT@
251FGREP = @FGREP@
252GCOV = @GCOV@
253GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
254GMSGFMT = @GMSGFMT@
255GMSGFMT_015 = @GMSGFMT_015@
256GREP = @GREP@
257HAVE_DOT = @HAVE_DOT@
258INSTALL = @INSTALL@
259INSTALL_DATA = @INSTALL_DATA@
260INSTALL_PROGRAM = @INSTALL_PROGRAM@
261INSTALL_SCRIPT = @INSTALL_SCRIPT@
262INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
263INTLLIBS = @INTLLIBS@
264INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
265KVM_LIBS = @KVM_LIBS@
266LCOV = @LCOV@
267LCOV_GENHTML = @LCOV_GENHTML@
268LD = @LD@
269LDFLAGS = @LDFLAGS@
270LIBICONV = @LIBICONV@
271LIBINTL = @LIBINTL@
272LIBOBJS = @LIBOBJS@
273LIBS = @LIBS@
274LIBTOOL = @LIBTOOL@
275LIPO = @LIPO@
276LN_S = @LN_S@
277LTLIBICONV = @LTLIBICONV@
278LTLIBINTL = @LTLIBINTL@
279LTLIBOBJS = @LTLIBOBJS@
280LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
281LZMA_LIBS = @LZMA_LIBS@
282MAKEINFO = @MAKEINFO@
283MANIFEST_TOOL = @MANIFEST_TOOL@
284MD_LIBS = @MD_LIBS@
285MKDIR_P = @MKDIR_P@
286MSGFMT = @MSGFMT@
287MSGFMT_015 = @MSGFMT_015@
288MSGMERGE = @MSGMERGE@
289NM = @NM@
290NMEDIT = @NMEDIT@
291OBJDUMP = @OBJDUMP@
292OBJEXT = @OBJEXT@
293OTOOL = @OTOOL@
294OTOOL64 = @OTOOL64@
295PACKAGE = @PACKAGE@
296PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
297PACKAGE_COPYRIGHT_HOLDER = @PACKAGE_COPYRIGHT_HOLDER@
298PACKAGE_NAME = @PACKAGE_NAME@
299PACKAGE_RELEASE_DATE = @PACKAGE_RELEASE_DATE@
300PACKAGE_STRING = @PACKAGE_STRING@
301PACKAGE_TARNAME = @PACKAGE_TARNAME@
302PACKAGE_URL = @PACKAGE_URL@
303PACKAGE_VERSION = @PACKAGE_VERSION@
304PATCH = @PATCH@
305PATH_SEPARATOR = @PATH_SEPARATOR@
306PERL = @PERL@
307PERL_COVER = @PERL_COVER@
308PERL_COVERAGE = @PERL_COVERAGE@
309PERL_LIBDIR = @PERL_LIBDIR@
310PKG_CONFIG = @PKG_CONFIG@
311PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
312PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
313PO4A = @PO4A@
314POD2MAN = @POD2MAN@
315POSUB = @POSUB@
316PS_LIBS = @PS_LIBS@
317RANLIB = @RANLIB@
318SED = @SED@
319SELINUX_CFLAGS = @SELINUX_CFLAGS@
320SELINUX_LIBS = @SELINUX_LIBS@
321SET_MAKE = @SET_MAKE@
322SHELL = @SHELL@
323STRIP = @STRIP@
324TAR = @TAR@
325USE_NLS = @USE_NLS@
326USE_PO4A = @USE_PO4A@
327USE_UNICODE = @USE_UNICODE@
328VERSION = @VERSION@
329XGETTEXT = @XGETTEXT@
330XGETTEXT_015 = @XGETTEXT_015@
331XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
332Z_LIBS = @Z_LIBS@
333abs_builddir = @abs_builddir@
334abs_srcdir = @abs_srcdir@
335abs_top_builddir = @abs_top_builddir@
336abs_top_srcdir = @abs_top_srcdir@
337ac_ct_AR = @ac_ct_AR@
338ac_ct_CC = @ac_ct_CC@
339ac_ct_CXX = @ac_ct_CXX@
340ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
341admindir = @admindir@
342am__include = @am__include@
343am__leading_dot = @am__leading_dot@
344am__quote = @am__quote@
345am__tar = @am__tar@
346am__untar = @am__untar@
347bindir = @bindir@
348build = @build@
349build_alias = @build_alias@
350build_cpu = @build_cpu@
351build_os = @build_os@
352build_vendor = @build_vendor@
353builddir = @builddir@
354datadir = @datadir@
355datarootdir = @datarootdir@
356devlibdir = @devlibdir@
357docdir = @docdir@
358dvidir = @dvidir@
359exec_prefix = @exec_prefix@
360host = @host@
361host_alias = @host_alias@
362host_cpu = @host_cpu@
363host_os = @host_os@
364host_vendor = @host_vendor@
365htmldir = @htmldir@
366includedir = @includedir@
367infodir = @infodir@
368install_sh = @install_sh@
369libdir = @libdir@
370libexecdir = @libexecdir@
371localedir = $(datadir)/locale
372localstatedir = @localstatedir@
373logdir = @logdir@
374mandir = @mandir@
375mkdir_p = @mkdir_p@
376oldincludedir = @oldincludedir@
377pdfdir = @pdfdir@
378pkgconfdir = @pkgconfdir@
379prefix = @prefix@
380program_transform_name = @program_transform_name@
381psdir = @psdir@
382runstatedir = @runstatedir@
383sbindir = @sbindir@
384sharedstatedir = @sharedstatedir@
385srcdir = @srcdir@
386sysconfdir = @sysconfdir@
387target_alias = @target_alias@
388top_build_prefix = @top_build_prefix@
389top_builddir = @top_builddir@
390top_srcdir = @top_srcdir@
391AM_CPPFLAGS = \
392 -DADMINDIR=\"$(admindir)\" \
393 -DLOCALEDIR=\"$(localedir)\" \
394 -DLOGDIR=\"$(logdir)\" \
395 -DSYSCONFDIR=\"$(sysconfdir)\" \
396 -idirafter $(top_srcdir)/lib/compat \
397 -I$(top_builddir) \
398 -I$(top_srcdir)/lib
399
400EXTRA_DIST = \
401 README.alternatives \
402 $(test_scripts) \
403 $(nil)
404
405update_alternatives_SOURCES = \
406 update-alternatives.c
407
408update_alternatives_CPPFLAGS = \
409 -DALT_TMP_EXT=\".dpkg-tmp\" \
410 -DADMINDIR_ENVVAR=\"DPKG_ADMINDIR\" \
411 $(AM_CPPFLAGS)
412
413update_alternatives_LDADD = \
414 ../lib/compat/libcompat.la \
415 $(LIBINTL) \
416 $(nil)
417
418@BUILD_START_STOP_DAEMON_TRUE@start_stop_daemon_SOURCES = \
419@BUILD_START_STOP_DAEMON_TRUE@ start-stop-daemon.c
420
421@BUILD_START_STOP_DAEMON_TRUE@start_stop_daemon_LDADD = \
422@BUILD_START_STOP_DAEMON_TRUE@ ../lib/compat/libcompat.la \
423@BUILD_START_STOP_DAEMON_TRUE@ $(PS_LIBS) \
424@BUILD_START_STOP_DAEMON_TRUE@ $(KVM_LIBS) \
425@BUILD_START_STOP_DAEMON_TRUE@ $(nil)
426
427TEST_ENV_VARS = DPKG_DATADIR=$(top_srcdir)/data
428test_tmpdir = t.tmp
429test_scripts = \
430 t/update_alternatives.t
431
432TEST_RUNNER = '\
433 my $$harness = TAP::Harness->new({ \
434 exec => sub { my (undef, $$test) = @_; \
435 return [ $$test ] if $$test !~ "\.t\$$" and -x $$test; \
436 return }, \
437 lib => [ "$(top_srcdir)/scripts", "$(top_srcdir)/dselect/methods" ], \
438 color => 1, \
439 verbosity => $(TEST_VERBOSE), \
440 jobs => $(TEST_PARALLEL), \
441 failures => 1, \
442 }); \
443 my $$aggregate = $$harness->runtests(@ARGV); \
444 die "FAIL: test suite has errors\n" if $$aggregate->has_errors;'
445
446all: all-am
447
448.SUFFIXES:
449.SUFFIXES: .c .lo .o .obj
450$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(top_srcdir)/check.am $(am__configure_deps)
451 @for dep in $?; do \
452 case '$(am__configure_deps)' in \
453 *$$dep*) \
454 ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
455 && { if test -f $@; then exit 0; else break; fi; }; \
456 exit 1;; \
457 esac; \
458 done; \
459 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign utils/Makefile'; \
460 $(am__cd) $(top_srcdir) && \
461 $(AUTOMAKE) --foreign utils/Makefile
462Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
463 @case '$?' in \
464 *config.status*) \
465 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
466 *) \
467 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
468 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
469 esac;
470$(top_srcdir)/check.am $(am__empty):
471
472$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
473 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
474
475$(top_srcdir)/configure: $(am__configure_deps)
476 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
477$(ACLOCAL_M4): $(am__aclocal_m4_deps)
478 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
479$(am__aclocal_m4_deps):
480install-binPROGRAMS: $(bin_PROGRAMS)
481 @$(NORMAL_INSTALL)
482 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
483 if test -n "$$list"; then \
484 echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
485 $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
486 fi; \
487 for p in $$list; do echo "$$p $$p"; done | \
488 sed 's/$(EXEEXT)$$//' | \
489 while read p p1; do if test -f $$p \
490 || test -f $$p1 \
491 ; then echo "$$p"; echo "$$p"; else :; fi; \
492 done | \
493 sed -e 'p;s,.*/,,;n;h' \
494 -e 's|.*|.|' \
495 -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
496 sed 'N;N;N;s,\n, ,g' | \
497 $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
498 { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
499 if ($$2 == $$4) files[d] = files[d] " " $$1; \
500 else { print "f", $$3 "/" $$4, $$1; } } \
501 END { for (d in files) print "f", d, files[d] }' | \
502 while read type dir files; do \
503 if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
504 test -z "$$files" || { \
505 echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
506 $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
507 } \
508 ; done
509
510uninstall-binPROGRAMS:
511 @$(NORMAL_UNINSTALL)
512 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
513 files=`for p in $$list; do echo "$$p"; done | \
514 sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
515 -e 's/$$/$(EXEEXT)/' \
516 `; \
517 test -n "$$list" || exit 0; \
518 echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
519 cd "$(DESTDIR)$(bindir)" && rm -f $$files
520
521clean-binPROGRAMS:
522 @list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
523 echo " rm -f" $$list; \
524 rm -f $$list || exit $$?; \
525 test -n "$(EXEEXT)" || exit 0; \
526 list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
527 echo " rm -f" $$list; \
528 rm -f $$list
529install-sbinPROGRAMS: $(sbin_PROGRAMS)
530 @$(NORMAL_INSTALL)
531 @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
532 if test -n "$$list"; then \
533 echo " $(MKDIR_P) '$(DESTDIR)$(sbindir)'"; \
534 $(MKDIR_P) "$(DESTDIR)$(sbindir)" || exit 1; \
535 fi; \
536 for p in $$list; do echo "$$p $$p"; done | \
537 sed 's/$(EXEEXT)$$//' | \
538 while read p p1; do if test -f $$p \
539 || test -f $$p1 \
540 ; then echo "$$p"; echo "$$p"; else :; fi; \
541 done | \
542 sed -e 'p;s,.*/,,;n;h' \
543 -e 's|.*|.|' \
544 -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
545 sed 'N;N;N;s,\n, ,g' | \
546 $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
547 { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
548 if ($$2 == $$4) files[d] = files[d] " " $$1; \
549 else { print "f", $$3 "/" $$4, $$1; } } \
550 END { for (d in files) print "f", d, files[d] }' | \
551 while read type dir files; do \
552 if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
553 test -z "$$files" || { \
554 echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
555 $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
556 } \
557 ; done
558
559uninstall-sbinPROGRAMS:
560 @$(NORMAL_UNINSTALL)
561 @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
562 files=`for p in $$list; do echo "$$p"; done | \
563 sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
564 -e 's/$$/$(EXEEXT)/' \
565 `; \
566 test -n "$$list" || exit 0; \
567 echo " ( cd '$(DESTDIR)$(sbindir)' && rm -f" $$files ")"; \
568 cd "$(DESTDIR)$(sbindir)" && rm -f $$files
569
570clean-sbinPROGRAMS:
571 @list='$(sbin_PROGRAMS)'; test -n "$$list" || exit 0; \
572 echo " rm -f" $$list; \
573 rm -f $$list || exit $$?; \
574 test -n "$(EXEEXT)" || exit 0; \
575 list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
576 echo " rm -f" $$list; \
577 rm -f $$list
578
579start-stop-daemon$(EXEEXT): $(start_stop_daemon_OBJECTS) $(start_stop_daemon_DEPENDENCIES) $(EXTRA_start_stop_daemon_DEPENDENCIES)
580 @rm -f start-stop-daemon$(EXEEXT)
581 $(AM_V_CCLD)$(LINK) $(start_stop_daemon_OBJECTS) $(start_stop_daemon_LDADD) $(LIBS)
582
583update-alternatives$(EXEEXT): $(update_alternatives_OBJECTS) $(update_alternatives_DEPENDENCIES) $(EXTRA_update_alternatives_DEPENDENCIES)
584 @rm -f update-alternatives$(EXEEXT)
585 $(AM_V_CCLD)$(LINK) $(update_alternatives_OBJECTS) $(update_alternatives_LDADD) $(LIBS)
586
587mostlyclean-compile:
588 -rm -f *.$(OBJEXT)
589
590distclean-compile:
591 -rm -f *.tab.c
592
593@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/start-stop-daemon.Po@am__quote@
594@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/update_alternatives-update-alternatives.Po@am__quote@
595
596.c.o:
597@am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
598@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
599@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
600@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
601@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
602
603.c.obj:
604@am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
605@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
606@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
607@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
608@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
609
610.c.lo:
611@am__fastdepCC_TRUE@ $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
612@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
613@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
614@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
615@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
616
617update_alternatives-update-alternatives.o: update-alternatives.c
618@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(update_alternatives_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT update_alternatives-update-alternatives.o -MD -MP -MF $(DEPDIR)/update_alternatives-update-alternatives.Tpo -c -o update_alternatives-update-alternatives.o `test -f 'update-alternatives.c' || echo '$(srcdir)/'`update-alternatives.c
619@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/update_alternatives-update-alternatives.Tpo $(DEPDIR)/update_alternatives-update-alternatives.Po
620@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='update-alternatives.c' object='update_alternatives-update-alternatives.o' libtool=no @AMDEPBACKSLASH@
621@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
622@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(update_alternatives_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o update_alternatives-update-alternatives.o `test -f 'update-alternatives.c' || echo '$(srcdir)/'`update-alternatives.c
623
624update_alternatives-update-alternatives.obj: update-alternatives.c
625@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(update_alternatives_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT update_alternatives-update-alternatives.obj -MD -MP -MF $(DEPDIR)/update_alternatives-update-alternatives.Tpo -c -o update_alternatives-update-alternatives.obj `if test -f 'update-alternatives.c'; then $(CYGPATH_W) 'update-alternatives.c'; else $(CYGPATH_W) '$(srcdir)/update-alternatives.c'; fi`
626@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/update_alternatives-update-alternatives.Tpo $(DEPDIR)/update_alternatives-update-alternatives.Po
627@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='update-alternatives.c' object='update_alternatives-update-alternatives.obj' libtool=no @AMDEPBACKSLASH@
628@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
629@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(update_alternatives_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o update_alternatives-update-alternatives.obj `if test -f 'update-alternatives.c'; then $(CYGPATH_W) 'update-alternatives.c'; else $(CYGPATH_W) '$(srcdir)/update-alternatives.c'; fi`
630
631mostlyclean-libtool:
632 -rm -f *.lo
633
634clean-libtool:
635 -rm -rf .libs _libs
636
637ID: $(am__tagged_files)
638 $(am__define_uniq_tagged_files); mkid -fID $$unique
639tags: tags-am
640TAGS: tags
641
642tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
643 set x; \
644 here=`pwd`; \
645 $(am__define_uniq_tagged_files); \
646 shift; \
647 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
648 test -n "$$unique" || unique=$$empty_fix; \
649 if test $$# -gt 0; then \
650 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
651 "$$@" $$unique; \
652 else \
653 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
654 $$unique; \
655 fi; \
656 fi
657ctags: ctags-am
658
659CTAGS: ctags
660ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
661 $(am__define_uniq_tagged_files); \
662 test -z "$(CTAGS_ARGS)$$unique" \
663 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
664 $$unique
665
666GTAGS:
667 here=`$(am__cd) $(top_builddir) && pwd` \
668 && $(am__cd) $(top_srcdir) \
669 && gtags -i $(GTAGS_ARGS) "$$here"
670cscopelist: cscopelist-am
671
672cscopelist-am: $(am__tagged_files)
673 list='$(am__tagged_files)'; \
674 case "$(srcdir)" in \
675 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
676 *) sdir=$(subdir)/$(srcdir) ;; \
677 esac; \
678 for i in $$list; do \
679 if test -f "$$i"; then \
680 echo "$(subdir)/$$i"; \
681 else \
682 echo "$$sdir/$$i"; \
683 fi; \
684 done >> $(top_builddir)/cscope.files
685
686distclean-tags:
687 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
688
689distdir: $(DISTFILES)
690 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
691 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
692 list='$(DISTFILES)'; \
693 dist_files=`for file in $$list; do echo $$file; done | \
694 sed -e "s|^$$srcdirstrip/||;t" \
695 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
696 case $$dist_files in \
697 */*) $(MKDIR_P) `echo "$$dist_files" | \
698 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
699 sort -u` ;; \
700 esac; \
701 for file in $$dist_files; do \
702 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
703 if test -d $$d/$$file; then \
704 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
705 if test -d "$(distdir)/$$file"; then \
706 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
707 fi; \
708 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
709 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
710 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
711 fi; \
712 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
713 else \
714 test -f "$(distdir)/$$file" \
715 || cp -p $$d/$$file "$(distdir)/$$file" \
716 || exit 1; \
717 fi; \
718 done
719check-am: all-am
720 $(MAKE) $(AM_MAKEFLAGS) check-local
721check: check-am
722all-am: Makefile $(PROGRAMS)
723installdirs:
724 for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(sbindir)"; do \
725 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
726 done
727install: install-am
728install-exec: install-exec-am
729install-data: install-data-am
730uninstall: uninstall-am
731
732install-am: all-am
733 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
734
735installcheck: installcheck-am
736install-strip:
737 if test -z '$(STRIP)'; then \
738 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
739 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
740 install; \
741 else \
742 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
743 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
744 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
745 fi
746mostlyclean-generic:
747
748clean-generic:
749
750distclean-generic:
751 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
752 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
753
754maintainer-clean-generic:
755 @echo "This command is intended for maintainers to use"
756 @echo "it deletes files that may require special tools to rebuild."
757clean: clean-am
758
759clean-am: clean-binPROGRAMS clean-generic clean-libtool clean-local \
760 clean-sbinPROGRAMS mostlyclean-am
761
762distclean: distclean-am
763 -rm -rf ./$(DEPDIR)
764 -rm -f Makefile
765distclean-am: clean-am distclean-compile distclean-generic \
766 distclean-tags
767
768dvi: dvi-am
769
770dvi-am:
771
772html: html-am
773
774html-am:
775
776info: info-am
777
778info-am:
779
780install-data-am: install-data-local
781
782install-dvi: install-dvi-am
783
784install-dvi-am:
785
786install-exec-am: install-binPROGRAMS install-sbinPROGRAMS
787
788install-html: install-html-am
789
790install-html-am:
791
792install-info: install-info-am
793
794install-info-am:
795
796install-man:
797
798install-pdf: install-pdf-am
799
800install-pdf-am:
801
802install-ps: install-ps-am
803
804install-ps-am:
805
806installcheck-am:
807
808maintainer-clean: maintainer-clean-am
809 -rm -rf ./$(DEPDIR)
810 -rm -f Makefile
811maintainer-clean-am: distclean-am maintainer-clean-generic
812
813mostlyclean: mostlyclean-am
814
815mostlyclean-am: mostlyclean-compile mostlyclean-generic \
816 mostlyclean-libtool
817
818pdf: pdf-am
819
820pdf-am:
821
822ps: ps-am
823
824ps-am:
825
826uninstall-am: uninstall-binPROGRAMS uninstall-local \
827 uninstall-sbinPROGRAMS
828
829.MAKE: check-am install-am install-strip
830
831.PHONY: CTAGS GTAGS TAGS all all-am check check-am check-local clean \
832 clean-binPROGRAMS clean-generic clean-libtool clean-local \
833 clean-sbinPROGRAMS cscopelist-am ctags ctags-am distclean \
834 distclean-compile distclean-generic distclean-libtool \
835 distclean-tags distdir dvi dvi-am html html-am info info-am \
836 install install-am install-binPROGRAMS install-data \
837 install-data-am install-data-local install-dvi install-dvi-am \
838 install-exec install-exec-am install-html install-html-am \
839 install-info install-info-am install-man install-pdf \
840 install-pdf-am install-ps install-ps-am install-sbinPROGRAMS \
841 install-strip installcheck installcheck-am installdirs \
842 maintainer-clean maintainer-clean-generic mostlyclean \
843 mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
844 pdf pdf-am ps ps-am tags tags-am uninstall uninstall-am \
845 uninstall-binPROGRAMS uninstall-local uninstall-sbinPROGRAMS
846
847.PRECIOUS: Makefile
848
849
850install-data-local:
851@BUILD_UPDATE_ALTERNATIVES_TRUE@ $(MKDIR_P) $(DESTDIR)$(sysconfdir)/alternatives
852@BUILD_UPDATE_ALTERNATIVES_TRUE@ $(MKDIR_P) $(DESTDIR)$(admindir)/alternatives
853@BUILD_UPDATE_ALTERNATIVES_TRUE@ $(INSTALL_DATA) $(srcdir)/README.alternatives $(DESTDIR)$(sysconfdir)/alternatives/README
854
855uninstall-local:
856 rm -f $(DESTDIR)$(sysconfdir)/alternatives/README
857
858TEST_VERBOSE ?= 0
859TEST_PARALLEL ?= 1
860
861check-clean:
862 [ -z "$(test_tmpdir)" ] || rm -fr $(test_tmpdir)
863
864check-local: $(test_data) $(test_programs) $(test_scripts)
865 [ -z "$(test_tmpdir)" ] || $(MKDIR_P) $(test_tmpdir)
866 PATH="$(abs_top_builddir)/src:$(abs_top_builddir)/scripts:$(abs_top_builddir)/utils:$(PATH)" \
867 LC_ALL=C \
868 DPKG_COLORS=never \
869 $(TEST_ENV_VARS) \
870 srcdir=$(srcdir) builddir=$(builddir) \
871 CC=$(CC) \
872 PERL=$(PERL) \
873 PERL_DL_NONLAZY=1 \
874 PERL5LIB=$(abs_top_srcdir)/scripts:$(abs_top_srcdir)/dselect/methods \
875 PERL5OPT=$(TEST_COVERAGE) \
876 $(PERL) -MTAP::Harness -e $(TEST_RUNNER) \
877 $(addprefix $(builddir)/,$(test_programs)) \
878 $(addprefix $(srcdir)/,$(test_scripts))
879
880clean-local: check-clean
881
882# Tell versions [3.59,3.63) of GNU make to not export all variables.
883# Otherwise a system limit (for SysV at least) may be exceeded.
884.NOEXPORT: